Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
ssuominen 12/06/24 10:07:42
Modified: ChangeLog libyubikey-1.6.ebuild
Log:
USE="static-libs" and convert to prune_libtool_files() function. Remove -Werror from AM_INIT_AUTOMAKE for compability with sys-devel/automake >= 1.12 wrt #423255 by Diego Elio Pettenò.
(Portage version: 2.2.0_alpha111/cvs/Linux x86_64)
Revision Changes Path
1.2 sys-auth/libyubikey/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/ChangeLog?r1=1.1&r2=1.2
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog 23 Oct 2010 16:38:54 -0000 1.1
+++ ChangeLog 24 Jun 2012 10:07:41 -0000 1.2
@@ -1,6 +1,11 @@
# ChangeLog for sys-auth/libyubikey
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/ChangeLog,v 1.1 2010/10/23 16:38:54 flameeyes Exp $
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/ChangeLog,v 1.2 2012/06/24 10:07:41 ssuominen Exp $
+
+ 24 Jun 2012; Samuli Suominen <ssuominen@g.o> libyubikey-1.6.ebuild:
+ USE="static-libs" and convert to prune_libtool_files() function. Remove
+ -Werror from AM_INIT_AUTOMAKE for compability with sys-devel/automake >= 1.12
+ wrt #423255 by Diego Elio Pettenò.
*libyubikey-1.6 (23 Oct 2010)
1.2 sys-auth/libyubikey/libyubikey-1.6.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild?r1=1.1&r2=1.2
Index: libyubikey-1.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- libyubikey-1.6.ebuild 23 Oct 2010 16:38:54 -0000 1.1
+++ libyubikey-1.6.ebuild 24 Jun 2012 10:07:41 -0000 1.2
@@ -1,26 +1,31 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild,v 1.1 2010/10/23 16:38:54 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-auth/libyubikey/libyubikey-1.6.ebuild,v 1.2 2012/06/24 10:07:41 ssuominen Exp $
-EAPI=2
-inherit eutils autotools
+EAPI=4
+inherit autotools eutils
DESCRIPTION="Yubico C low-level library"
-SRC_URI="http://yubico-c.googlecode.com/files/${P}.tar.gz"
HOMEPAGE="http://code.google.com/p/yubico-c/"
+SRC_URI="http://yubico-c.googlecode.com/files/${P}.tar.gz"
KEYWORDS="~amd64"
SLOT="0"
LICENSE="BSD-2"
-IUSE=""
+IUSE="static-libs"
src_prepare() {
epatch "${FILESDIR}"/${P}-rpath.patch
+ sed -i -e '/AM_INIT_AUTOMAKE/s: -Werror::' configure.ac || die #423255
eautoreconf
}
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
src_install() {
- emake DESTDIR="${D}" install || die
- dodoc AUTHORS ChangeLog NEWS README THANKS || die
- find "${D}" -name '*.la' -delete || die
+ emake DESTDIR="${D}" install
+ dodoc AUTHORS ChangeLog NEWS README THANKS
+ prune_libtool_files
}
|
|